Outils pour utilisateurs

Outils du site


public:preparation_env_dev_manuel

Différences

Ci-dessous, les différences entre deux révisions de la page.

Lien vers cette vue comparative

Les deux révisions précédentes Révision précédente
Prochaine révision
Révision précédente
public:preparation_env_dev_manuel [2018/02/12 17:05]
matthieu.decorde@ens-lyon.fr
public:preparation_env_dev_manuel [2019/10/17 09:35]
matthieu.decorde@ens-lyon.fr [Installer les plugins dont dépendent les projets TBX et RCP]
Ligne 43: Ligne 43:
 | Groovy | pour écrire des scripts | [[http://​dist.springsource.org/​release/​GRECLIPSE/​e4.4]] | [[https://​github.com/​groovy/​groovy-eclipse/​wiki]] | | | Groovy | pour écrire des scripts | [[http://​dist.springsource.org/​release/​GRECLIPSE/​e4.4]] | [[https://​github.com/​groovy/​groovy-eclipse/​wiki]] | |
 | eTools | couche de compatibilité eclipse 3.7 avec eclipse 4+ | [[http://​download.vogella.com/​luna/​e4tools]] | [[http://​e4tools.vogella.com]] ou voir [[http://​blog.vogella.com/​2014/​01/​21/​eclipse-e4-tools-update-site-for-kepler-and-luna/​| la page du blog sur le sujet]]| | | eTools | couche de compatibilité eclipse 3.7 avec eclipse 4+ | [[http://​download.vogella.com/​luna/​e4tools]] | [[http://​e4tools.vogella.com]] ou voir [[http://​blog.vogella.com/​2014/​01/​21/​eclipse-e4-tools-update-site-for-kepler-and-luna/​| la page du blog sur le sujet]]| |
-| GWT | pour développer le portail | [[https://​dl.google.com/​eclipse/​plugin/​4.4]] | [[https://​developers.google.com/​eclipse/​docs/​getting_started]] | |+| GWT | pour développer le portail | [[https://​dl.google.com/​eclipse/​plugin/​4.4]] | [[https://​developers.google.com/​eclipse/​docs/​getting_started]] | Il ne faut installer que le compiler utilisé par TXM sinon Eclipse Oxygen ne démarre pas correctement (bug hot swapping) -> VERSION 2.5|
  
 Les étapes suivantes peuvent être zappées en utilisant une version TXM déjà préparé (voir la [[prive:​install_env_dev|page à propos du SDK]]). Les étapes suivantes peuvent être zappées en utilisant une version TXM déjà préparé (voir la [[prive:​install_env_dev|page à propos du SDK]]).
 +
 +===== Réglages d'​Eclipse =====
 +
 +  * API baseline: il faut régler un API baseline par défaut dans les préférences d'​Eclipse
 +  * encodage des fichiers du workspace : UTF-8
 +  * saut de ligne des fichiers : unix
  
 ===== Récupérer les projets TXM depuis SVN ===== ===== Récupérer les projets TXM depuis SVN =====
public/preparation_env_dev_manuel.txt · Dernière modification: 2019/10/17 09:35 par matthieu.decorde@ens-lyon.fr